﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <style>
        .alignCenter{
             text-align:center !important;
        }

        .alignRight{
             text-align:right !important;
        }

    </style>

</head>
<body>
    <form id="form1" runat="server">
        <div>

            <ig:WebScriptManager runat="server"></ig:WebScriptManager>

            <ig:WebHierarchicalDataGrid ID="WHDG" runat="server" DataKeyFields="CategoryID" AutoGenerateColumns="False" Width="800px" AutoGenerateBands="false">
                <Columns>
                    <ig:BoundDataField DataFieldName="CategoryName" Key="CategoryName">
                        <Header Text="Category"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Description" Key="Description">
                        <Header Text="Description"></Header>
                    </ig:BoundDataField>
                </Columns>

                <Bands>
                    <ig:Band DataKeyFields="ProductID" DataMember="Products" AutoGenerateColumns="false">
                        <Columns>
                            <ig:BoundDataField DataFieldName="ProductName" Key="ProductName" CssClass="alignRight">
                                <Header Text="Product"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="QuantityPerUnit" Key="QuantityPerUnit">
                                <Header Text="Quantity Per Unit"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="UnitPrice" Key="UnitPrice">
                                <Header Text="Unit Price"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="UnitsInStock" Key="UnitsInStock">
                                <Header Text="Units In Stock"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="UnitsOnOrder" Key="UnitsOnOrder">
                                <Header Text="Units On Order"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="ReorderLevel" Key="ReorderLevel">
                                <Header Text="Reorder Level"></Header>
                            </ig:BoundDataField>
                            <ig:BoundCheckBoxField DataFieldName="Discontinued" Key="Discontinued" CssClass="alignCenter">
                                <Header Text="Discontinued"></Header>
                            </ig:BoundCheckBoxField>
                            <ig:BoundDataField DataFieldName="ArrivedAt" Key="ArrivedAt">
                                <Header Text="Arrived At"></Header>
                            </ig:BoundDataField>
                        </Columns>

                    </ig:Band>
                </Bands>
            </ig:WebHierarchicalDataGrid>

        </div>
    </form>
</body>
</html>
